%global tarball_name mandrill 

Name:           python-mandrill
Version:        1.0.51
Release:        13%{?dist}
Summary:        A CLI client and API library for Mandrill email service

License:        ASL 2.0
URL:            https://bitbucket.org/mailchimp/mandrill-api-python/
Source0:        https://pypi.python.org/packages/source/m/%{tarball_name}/%{tarball_name}-%{version}.tar.gz
Source1:		LICENSE_MANDRILL
BuildArch:      noarch
BuildRequires:  python2-devel python2-setuptools

%global _description\
A Python API client and suite of CLI-based tools for the Mandrill email\
as a platform service

%description %_description

%package -n python2-mandrill
Summary: %summary
Requires:       python2-ujson python2-docopt python2-requests
%{?python_provide:%python_provide python2-mandrill}

%description -n python2-mandrill %_description

%prep
%setup -qn %{tarball_name}-%{version}
rm -fr %{tarball_name}.egg-info

%build
%{__python2} setup.py build


%install
rm -rf %{buildroot}
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
%{__install} -p -m644 %SOURCE1 LICENSE

%files -n python2-mandrill
%{python2_sitelib}/*
%{_bindir}/mandrill
%{_bindir}/sendmail.mandrill
%doc README LICENSE

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.51-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.51-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.51-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 25 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0.51-10
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.0.51-9
- Python 2 binary package renamed to python2-mandrill
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.51-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.51-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.51-6
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.51-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.51-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.51-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Oct 21 2013 Daniel Bruno <dbruno@fedoraproject.org> - 1.0.51-2
- Add license file from the upstream repo

* Tue Oct 01 2013 Daniel Bruno <dbruno@fedoraproject.org> - 1.0.51-1
- Initial package for Fedora

